<div>
  {{ $pinnedNum := 0 }}

  {{ range .Pages }}
    {{ $pinnedNum = add $pinnedNum (len (where .Pages "Params.pinned" true)) }}
  {{ end }}

  {{ if gt $pinnedNum 0 }}
    <div style="display: flex; justify-content: center">
    <ol class="showcase__box--wrapper">
      {{ range .Pages }}
        {{ $category := .Params.category }}
        {{ range where .Pages "Params.pinned" true }}
          <li class="showcase__box">
            <a href="{{ .Params.Link }}" class="showcase__box--link" target="_blank" rel="noreferrer"></a>
            <span class="showcase__box--title">
              {{ .Title }}
            </span>
            <div class="showcase__box--desc">
              {{ .Description }}
            </div>
            <div class="grow"></div>
            <div class="showcase__box--meta">
              <span class="type">
                {{ partial "svgs/etc/code.svg" (dict "width" 14 "height" 14) }}
                {{ $category }}
              </span>
              <div class="grow"></div>
              <a href="{{ .Params.Repo }}" class="type" target="_blank" rel="noreferrer">
                {{ partial "svgs/social/github.svg" (dict "width" 14 "height" 14) }}
                Repository
              </a>
            </div>
          </li>
        {{ end }}
      {{ end }}
    </ol>
    </div>
  {{ end }}
</div>